Subject: Re: [PATCH] t1092: use GIT_PROGRESS_DELAY for consistent results

From: Jonathan Nieder <[email-masked]>
Date: Mon, 24 May 2021 13:28:03 -0700

Hi,

Derrick Stolee wrote:

> The t1092-sparse-checkout-compatibility.sh tests compare the stdout and
> stderr for several Git commands across both full checkouts, sparse
> checkouts with a full index, and sparse checkouts with a sparse index.
> Since these are direct comparisons, sometimes a progress indicator can
> flush at unpredictable points, especially on slower machines. This
> causes the tests to be flaky.

Hm, I think this test strategy is going to be fundamentally flaky
regardless: Git doesn't intend to guarantee any kind of stability in
the exact stderr output it writes.

Could the tests be made to check more semantically meaningful
information such as "git ls-files -s" output instead?

Thanks,
Jonathan